#!/bin/sh

cp ./uninstall.sh ../
cp ./updatefiles.txt ../


SRC_DIR=./
DEST_DIR=$1
BACKUP_DIR=$2

echo SRC_DIR $SRC_DIR DEST_DIR $DEST_DIR BACKUP_DIR $BACKUP_DIR

for LINE in `cat ../updatefiles.txt | sed -e 's/\\\/\//g'`
do
	echo "line is $LINE"
	TYPE=`echo $LINE | cut -d, -f1`
	echo "Type is $TYPE"
	FILE=`echo $LINE | cut -d, -f2`
        echo "File is $FILE"
	DIR=`echo $LINE | cut -d, -f3`
        echo "Dir is $DIR"
	case "$TYPE" in 
	"dir")
		echo "seems to be a directory" ;
		if [ -d $DEST_DIR/$FILE ]; then
			`mkdir -p $BACKUP_DIR/$DIR`
			`cp -rp $DEST_DIR/$FILE/* $BACKUP_DIR/$DIR`
		else
			echo "can't find original dir $DEST_DIR/$FILE for backup";
		fi;
		if [ -d $SRC_DIR/$FILE ]; then
                        `mkdir -p $DEST_DIR/$DIR`
                        `cp -rp $SRC_DIR/$FILE/* $DEST_DIR/$DIR`
                else
                        echo "can't find new dir $SRC_DIR/$FILE for update";
                fi;
		echo "done case";;
	"file")	
		echo "seems to be a regular file" ;
		if [ -f $DEST_DIR/$FILE ]; then
                        `mkdir -p $BACKUP_DIR/$DIR`
                        `cp -p $DEST_DIR/$FILE $BACKUP_DIR/$DIR`
                else
                        echo "can't find original file $DEST_DIR/$FILE for backup";
                fi;
		if [ -f $SRC_DIR/$FILE ]; then
                        `mkdir -p $DEST_DIR/$DIR`
                        `cp -p $SRC_DIR/$FILE $DEST_DIR/$DIR`
                else
                        echo "can't find new file $SRC_DIR/$FILE for update";
                fi;
		echo "done case";;
	esac
done

exit 0

